lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peng Gao <p...@esri.com>
Subject Migrating SnowballAnalyzer to 4.1
Date Thu, 28 Feb 2013 18:28:34 GMT
Hi,

I have a Lucene 2.9.x app that uses org.apache.lucene.analysis.snowball.SnowballAnalyzer for
index generation,

  analyzer = new SnowballAnalyzer("English", StopAnalyzer.ENGLISH_STOP_WORDS);

and I want to upgrade it to 4.1.

SnowballAnalyzer is deprecated in 4.1. The doc simply states

"Deprecated. (3.1) Use the language-specific analyzer in modules/analysis instead. This analyzer
will be 
removed in Lucene 5.0."

I can't figure out how to rewrite it using 4.1 API. Could you help?

Thanks,
Peng

Mime
View raw message